Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaAttribute

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaAttribute

All Implemented Interfaces:
  XMLSerializable

Direct Known Subclasses:
  JpaAttributeOverride, JpaBasic, JpaEmbedded, JpaEmbeddedId, JpaId, JpaRelationship, JpaTransient, JpaVersion

    public abstract class JpaAttribute

extends Object
implements XMLSerializable

Field Summary
`protected String` | `name`
`protected JpaPropertyDescriptor` | `propertyDescriptor`

Constructor Summary
`JpaAttribute()`

Method Summary
`abstract void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`String` | `getName()`
`JpaPropertyDescriptor` | `getPropertyDescriptor()`
`void` | `setName(String name)`
`void` | `setPropertyDescriptor(JpaPropertyDescriptor propertyDescriptor)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected String name

### propertyDescriptor

    protected JpaPropertyDescriptor propertyDescriptor

Constructor Detail

### JpaAttribute

    public JpaAttribute()

Method Detail

### getPropertyDescriptor

    public JpaPropertyDescriptor getPropertyDescriptor()

### setPropertyDescriptor

    public void setPropertyDescriptor(JpaPropertyDescriptor propertyDescriptor)

### getName

    public String getName()

### setName

    public void setName(String name)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### encodeAsXML

    public abstract void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.